commit:     f80245d2888c8e8972617e8736f583795ff9084a
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Mar 13 14:35:27 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 23:06:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f80245d2

dev-perl/OpenGL: Bump to version 0.670.400

- EAPI6
- Use assumed license for Perl5
- Add 'examples'
- remove 'test.pl' from Installation ( and tests, for now )

Upstream:

- Bug fixes.

Package-Manager: portage-2.2.27

 dev-perl/OpenGL/Manifest                |  1 +
 dev-perl/OpenGL/OpenGL-0.670.400.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-perl/OpenGL/Manifest b/dev-perl/OpenGL/Manifest
index 027019e..03a54a4 100644
--- a/dev-perl/OpenGL/Manifest
+++ b/dev-perl/OpenGL/Manifest
@@ -1 +1,2 @@
 DIST OpenGL-0.6703.tar.gz 671629 SHA256 
62f8cdf019fbdb6d095bc5f31382d123bceb9aabbba5788ecf416282de47534c SHA512 
f1902bfe8e6e1f2309b878f68e08cf8f53d2f20287f99f8a8773647d737f559fbf17ad68cb52371af09e2ac030685b1625ce4c0033ec7e6fb5f322e5980e6713
 WHIRLPOOL 
98d6274a8fa975fd2c31858cf06b1bf5605690217218577c531f68c355affd175663ea8bbc00bb5cd7d0a6951dc0a94d1349535590e421431ab89b41d14fe4b9
+DIST OpenGL-0.6704.tar.gz 623036 SHA256 
36f266e31d617fa9a1bd8928a7dc3b7c40c1bbbfa64bddefe22300ac2bc6c436 SHA512 
3a2c9970802242ebae58256cd80dc81ac04a2af974105d3fbdf4dfcf1aa64a769b1ffcb5b0156eceb6bf7aed6eb6b2eb9332ec9f4724b0a1bc61d15f0de99d09
 WHIRLPOOL 
f6cb34b30c7ef2af0d2dc16ab4b5d9f7216f2ab08c0bf904305f358fec751492fe605bdb783d6ebb9dcdb83fa3601f831e9162fe4bc0d33a68cbafa7c289b86c

diff --git a/dev-perl/OpenGL/OpenGL-0.670.400.ebuild 
b/dev-perl/OpenGL/OpenGL-0.670.400.ebuild
new file mode 100644
index 0000000..71f5016
--- /dev/null
+++ b/dev-perl/OpenGL/OpenGL-0.670.400.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DIST_AUTHOR=CHM
+DIST_VERSION=0.6704
+
+inherit perl-module eutils
+
+DESCRIPTION="Perl interface providing graphics display using OpenGL"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+       media-libs/freeglut:0=
+       x11-libs/libICE:0=
+       x11-libs/libXext:0=
+       x11-libs/libXi:0=
+       x11-libs/libXmu:0="
+DEPEND="${RDEPEND}"
+
+mydoc="Release_Notes"
+
+src_prepare() {
+       eapply "${FILESDIR}"/${PN}-0.66-no-display.patch
+       # This should be merely moved to t/ as it gets
+       # installed to OS otherwise.
+       # But it presently fails tests, and can't be made not to.
+       # ( And will need virtualx when it can )
+       # Something to do with OpenGL implementation ala eselect.
+       perl_rm_files "test.pl";
+       perl-module_src_prepare
+}
+
+src_compile() {
+       sed -i -e 's/PERL_DL_NONLAZY=1//' Makefile || die
+       perl-module_src_compile
+}
+src_install() {
+       perl-module_src_install
+       if use examples; then
+               docompress -x /usr/share/doc/${PF}/examples
+               insinto /usr/share/doc/${PF}/examples
+               doins -r examples/*
+       fi
+}

Reply via email to